%global srcname ruamel-yaml
%global pypi_name ruamel.yaml
%global commitId c887dfe19e2f01b770a2b4b04163a01e00a33f85

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{srcname}
Version:       0.17.21
Release:       1%{?dist}
Summary:       YAML 1.2 loader/dumper package for Python

License:       MIT
URL:           https://sourceforge.net/projects/ruamel-yaml
Source0:       %{srcname}-code-%{commitId}.zip
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools

%description
ruamel.yaml is a YAML 1.2 loader/dumper package for Python.
It is a derivative of Kirill Simonov’s PyYAML 3.11.

%package -n python%{python3_pkgversion}-%{srcname}

Summary:       YAML 1.2 loader/dumper package for Python

Requires:      python%{python3_pkgversion}-ruamel-yaml-clib

%description -n python%{python3_pkgversion}-%{srcname}
ruamel.yaml is a YAML 1.2 loader/dumper package for Python.
It is a derivative of Kirill Simonov’s PyYAML 3.11.

%prep
%autosetup -n %{srcname}-code-%{commitId}

%build
%{py3_build}

%install
%{__python3} setup.py install --single-version-externally-managed --skip-build --root %{buildroot}

%files -n python%{python3_pkgversion}-%{srcname}
%{python3_sitelib}/ruamel
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}-nspkg.pth
%license LICENSE
%doc CHANGES README.rst

%changelog
* Fri Mar 18 2022 Dimitri Savineau <dsavinea@redhat.com> - 0.17.21-1
- Initial package
